# Companion

object Companion : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer (source)

## Types

ByTimerUtilizer
Link copied to clipboard
class ByTimerUtilizer (removeMillis: Long , scope: CoroutineScope) : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer

## Functions

start
Link copied to clipboard
open override fun start (filesMap: MutableMap < TemporalFileId , MPPFile >, filesMutex: Mutex, onNewFileFlow: Flow< TemporalFileId >): Job